import { IObjectMeta } from "@soft-stech/apimachinery/apis/meta/v1/ObjectMeta";
import { Model, ModelData } from "@soft-stech/base";
export interface IPostgresTeam {
    "kind": "PostgresTeam";
    "apiVersion": "acid.zalan.do/v1";
    "spec": {
        /**
         * Map for teamId and associated additional superuser teams
         */
        "additionalSuperuserTeams"?: Record<string, Array<string>>;
        /**
         * Map for teamId and associated additional teams
         */
        "additionalTeams"?: Record<string, Array<string>>;
        /**
         * Map for teamId and associated additional users
         */
        "additionalMembers"?: Record<string, Array<string>>;
    };
    "metadata"?: IObjectMeta;
}
export declare class PostgresTeam extends Model<IPostgresTeam> implements IPostgresTeam {
    "kind": IPostgresTeam["kind"];
    "apiVersion": IPostgresTeam["apiVersion"];
    "spec": IPostgresTeam["spec"];
    "metadata"?: IPostgresTeam["metadata"];
    static apiVersion: IPostgresTeam["apiVersion"];
    static kind: IPostgresTeam["kind"];
    static is: import("@soft-stech/base").TypeMetaGuard<IPostgresTeam>;
    constructor(data?: ModelData<IPostgresTeam>);
}
