import { addSchema } from "@soft-stech/apimachinery/_schemas/IoK8sApimachineryPkgApisMetaV1ObjectMeta";
import { Model, setSchema, createTypeMetaGuard } from "@soft-stech/base";
import { register } from "@soft-stech/validate";
const schemaId = "postgres-operator.crunchydata.com.v1beta1.PGAdmin";
const schema = {
    "type": "object",
    "properties": {
        "apiVersion": {
            "type": "string",
            "enum": [
                "postgres-operator.crunchydata.com/v1beta1"
            ]
        },
        "kind": {
            "type": "string",
            "enum": [
                "PGAdmin"
            ]
        },
        "metadata": {
            "oneOf": [
                {
                    "$ref": "io.k8s.apimachinery.pkg.apis.meta.v1.ObjectMeta#"
                },
                {
                    "type": "null"
                }
            ]
        },
        "spec": {
            "properties": {
                "affinity": {
                    "properties": {
                        "nodeAffinity": {
                            "properties": {
                                "preferredDuringSchedulingIgnoredDuringExecution": {
                                    "items": {
                                        "properties": {
                                            "preference": {
                                                "properties": {
                                                    "matchExpressions": {
                                                        "items": {
                                                            "properties": {
                                                                "key": {
                                                                    "type": "string"
                                                                },
                                                                "operator": {
                                                                    "type": "string"
                                                                },
                                                                "values": {
                                                                    "items": {
                                                                        "type": "string"
                                                                    },
                                                                    "type": "array",
                                                                    "nullable": true
                                                                }
                                                            },
                                                            "required": [
                                                                "key",
                                                                "operator"
                                                            ],
                                                            "type": "object"
                                                        },
                                                        "type": "array",
                                                        "nullable": true
                                                    },
                                                    "matchFields": {
                                                        "items": {
                                                            "properties": {
                                                                "key": {
                                                                    "type": "string"
                                                                },
                                                                "operator": {
                                                                    "type": "string"
                                                                },
                                                                "values": {
                                                                    "items": {
                                                                        "type": "string"
                                                                    },
                                                                    "type": "array",
                                                                    "nullable": true
                                                                }
                                                            },
                                                            "required": [
                                                                "key",
                                                                "operator"
                                                            ],
                                                            "type": "object"
                                                        },
                                                        "type": "array",
                                                        "nullable": true
                                                    }
                                                },
                                                "type": "object"
                                            },
                                            "weight": {
                                                "format": "int32",
                                                "type": "integer"
                                            }
                                        },
                                        "required": [
                                            "preference",
                                            "weight"
                                        ],
                                        "type": "object"
                                    },
                                    "type": "array",
                                    "nullable": true
                                },
                                "requiredDuringSchedulingIgnoredDuringExecution": {
                                    "properties": {
                                        "nodeSelectorTerms": {
                                            "items": {
                                                "properties": {
                                                    "matchExpressions": {
                                                        "items": {
                                                            "properties": {
                                                                "key": {
                                                                    "type": "string"
                                                                },
                                                                "operator": {
                                                                    "type": "string"
                                                                },
                                                                "values": {
                                                                    "items": {
                                                                        "type": "string"
                                                                    },
                                                                    "type": "array",
                                                                    "nullable": true
                                                                }
                                                            },
                                                            "required": [
                                                                "key",
                                                                "operator"
                                                            ],
                                                            "type": "object"
                                                        },
                                                        "type": "array",
                                                        "nullable": true
                                                    },
                                                    "matchFields": {
                                                        "items": {
                                                            "properties": {
                                                                "key": {
                                                                    "type": "string"
                                                                },
                                                                "operator": {
                                                                    "type": "string"
                                                                },
                                                                "values": {
                                                                    "items": {
                                                                        "type": "string"
                                                                    },
                                                                    "type": "array",
                                                                    "nullable": true
                                                                }
                                                            },
                                                            "required": [
                                                                "key",
                                                                "operator"
                                                            ],
                                                            "type": "object"
                                                        },
                                                        "type": "array",
                                                        "nullable": true
                                                    }
                                                },
                                                "type": "object"
                                            },
                                            "type": "array"
                                        }
                                    },
                                    "required": [
                                        "nodeSelectorTerms"
                                    ],
                                    "type": "object",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        },
                        "podAffinity": {
                            "properties": {
                                "preferredDuringSchedulingIgnoredDuringExecution": {
                                    "items": {
                                        "properties": {
                                            "podAffinityTerm": {
                                                "properties": {
                                                    "labelSelector": {
                                                        "properties": {
                                                            "matchExpressions": {
                                                                "items": {
                                                                    "properties": {
                                                                        "key": {
                                                                            "type": "string"
                                                                        },
                                                                        "operator": {
                                                                            "type": "string"
                                                                        },
                                                                        "values": {
                                                                            "items": {
                                                                                "type": "string"
                                                                            },
                                                                            "type": "array",
                                                                            "nullable": true
                                                                        }
                                                                    },
                                                                    "required": [
                                                                        "key",
                                                                        "operator"
                                                                    ],
                                                                    "type": "object"
                                                                },
                                                                "type": "array",
                                                                "nullable": true
                                                            },
                                                            "matchLabels": {
                                                                "additionalProperties": {
                                                                    "type": "string"
                                                                },
                                                                "type": "object",
                                                                "properties": {},
                                                                "nullable": true
                                                            }
                                                        },
                                                        "type": "object",
                                                        "nullable": true
                                                    },
                                                    "namespaceSelector": {
                                                        "properties": {
                                                            "matchExpressions": {
                                                                "items": {
                                                                    "properties": {
                                                                        "key": {
                                                                            "type": "string"
                                                                        },
                                                                        "operator": {
                                                                            "type": "string"
                                                                        },
                                                                        "values": {
                                                                            "items": {
                                                                                "type": "string"
                                                                            },
                                                                            "type": "array",
                                                                            "nullable": true
                                                                        }
                                                                    },
                                                                    "required": [
                                                                        "key",
                                                                        "operator"
                                                                    ],
                                                                    "type": "object"
                                                                },
                                                                "type": "array",
                                                                "nullable": true
                                                            },
                                                            "matchLabels": {
                                                                "additionalProperties": {
                                                                    "type": "string"
                                                                },
                                                                "type": "object",
                                                                "properties": {},
                                                                "nullable": true
                                                            }
                                                        },
                                                        "type": "object",
                                                        "nullable": true
                                                    },
                                                    "namespaces": {
                                                        "items": {
                                                            "type": "string"
                                                        },
                                                        "type": "array",
                                                        "nullable": true
                                                    },
                                                    "topologyKey": {
                                                        "type": "string"
                                                    }
                                                },
                                                "required": [
                                                    "topologyKey"
                                                ],
                                                "type": "object"
                                            },
                                            "weight": {
                                                "format": "int32",
                                                "type": "integer"
                                            }
                                        },
                                        "required": [
                                            "podAffinityTerm",
                                            "weight"
                                        ],
                                        "type": "object"
                                    },
                                    "type": "array",
                                    "nullable": true
                                },
                                "requiredDuringSchedulingIgnoredDuringExecution": {
                                    "items": {
                                        "properties": {
                                            "labelSelector": {
                                                "properties": {
                                                    "matchExpressions": {
                                                        "items": {
                                                            "properties": {
                                                                "key": {
                                                                    "type": "string"
                                                                },
                                                                "operator": {
                                                                    "type": "string"
                                                                },
                                                                "values": {
                                                                    "items": {
                                                                        "type": "string"
                                                                    },
                                                                    "type": "array",
                                                                    "nullable": true
                                                                }
                                                            },
                                                            "required": [
                                                                "key",
                                                                "operator"
                                                            ],
                                                            "type": "object"
                                                        },
                                                        "type": "array",
                                                        "nullable": true
                                                    },
                                                    "matchLabels": {
                                                        "additionalProperties": {
                                                            "type": "string"
                                                        },
                                                        "type": "object",
                                                        "properties": {},
                                                        "nullable": true
                                                    }
                                                },
                                                "type": "object",
                                                "nullable": true
                                            },
                                            "namespaceSelector": {
                                                "properties": {
                                                    "matchExpressions": {
                                                        "items": {
                                                            "properties": {
                                                                "key": {
                                                                    "type": "string"
                                                                },
                                                                "operator": {
                                                                    "type": "string"
                                                                },
                                                                "values": {
                                                                    "items": {
                                                                        "type": "string"
                                                                    },
                                                                    "type": "array",
                                                                    "nullable": true
                                                                }
                                                            },
                                                            "required": [
                                                                "key",
                                                                "operator"
                                                            ],
                                                            "type": "object"
                                                        },
                                                        "type": "array",
                                                        "nullable": true
                                                    },
                                                    "matchLabels": {
                                                        "additionalProperties": {
                                                            "type": "string"
                                                        },
                                                        "type": "object",
                                                        "properties": {},
                                                        "nullable": true
                                                    }
                                                },
                                                "type": "object",
                                                "nullable": true
                                            },
                                            "namespaces": {
                                                "items": {
                                                    "type": "string"
                                                },
                                                "type": "array",
                                                "nullable": true
                                            },
                                            "topologyKey": {
                                                "type": "string"
                                            }
                                        },
                                        "required": [
                                            "topologyKey"
                                        ],
                                        "type": "object"
                                    },
                                    "type": "array",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        },
                        "podAntiAffinity": {
                            "properties": {
                                "preferredDuringSchedulingIgnoredDuringExecution": {
                                    "items": {
                                        "properties": {
                                            "podAffinityTerm": {
                                                "properties": {
                                                    "labelSelector": {
                                                        "properties": {
                                                            "matchExpressions": {
                                                                "items": {
                                                                    "properties": {
                                                                        "key": {
                                                                            "type": "string"
                                                                        },
                                                                        "operator": {
                                                                            "type": "string"
                                                                        },
                                                                        "values": {
                                                                            "items": {
                                                                                "type": "string"
                                                                            },
                                                                            "type": "array",
                                                                            "nullable": true
                                                                        }
                                                                    },
                                                                    "required": [
                                                                        "key",
                                                                        "operator"
                                                                    ],
                                                                    "type": "object"
                                                                },
                                                                "type": "array",
                                                                "nullable": true
                                                            },
                                                            "matchLabels": {
                                                                "additionalProperties": {
                                                                    "type": "string"
                                                                },
                                                                "type": "object",
                                                                "properties": {},
                                                                "nullable": true
                                                            }
                                                        },
                                                        "type": "object",
                                                        "nullable": true
                                                    },
                                                    "namespaceSelector": {
                                                        "properties": {
                                                            "matchExpressions": {
                                                                "items": {
                                                                    "properties": {
                                                                        "key": {
                                                                            "type": "string"
                                                                        },
                                                                        "operator": {
                                                                            "type": "string"
                                                                        },
                                                                        "values": {
                                                                            "items": {
                                                                                "type": "string"
                                                                            },
                                                                            "type": "array",
                                                                            "nullable": true
                                                                        }
                                                                    },
                                                                    "required": [
                                                                        "key",
                                                                        "operator"
                                                                    ],
                                                                    "type": "object"
                                                                },
                                                                "type": "array",
                                                                "nullable": true
                                                            },
                                                            "matchLabels": {
                                                                "additionalProperties": {
                                                                    "type": "string"
                                                                },
                                                                "type": "object",
                                                                "properties": {},
                                                                "nullable": true
                                                            }
                                                        },
                                                        "type": "object",
                                                        "nullable": true
                                                    },
                                                    "namespaces": {
                                                        "items": {
                                                            "type": "string"
                                                        },
                                                        "type": "array",
                                                        "nullable": true
                                                    },
                                                    "topologyKey": {
                                                        "type": "string"
                                                    }
                                                },
                                                "required": [
                                                    "topologyKey"
                                                ],
                                                "type": "object"
                                            },
                                            "weight": {
                                                "format": "int32",
                                                "type": "integer"
                                            }
                                        },
                                        "required": [
                                            "podAffinityTerm",
                                            "weight"
                                        ],
                                        "type": "object"
                                    },
                                    "type": "array",
                                    "nullable": true
                                },
                                "requiredDuringSchedulingIgnoredDuringExecution": {
                                    "items": {
                                        "properties": {
                                            "labelSelector": {
                                                "properties": {
                                                    "matchExpressions": {
                                                        "items": {
                                                            "properties": {
                                                                "key": {
                                                                    "type": "string"
                                                                },
                                                                "operator": {
                                                                    "type": "string"
                                                                },
                                                                "values": {
                                                                    "items": {
                                                                        "type": "string"
                                                                    },
                                                                    "type": "array",
                                                                    "nullable": true
                                                                }
                                                            },
                                                            "required": [
                                                                "key",
                                                                "operator"
                                                            ],
                                                            "type": "object"
                                                        },
                                                        "type": "array",
                                                        "nullable": true
                                                    },
                                                    "matchLabels": {
                                                        "additionalProperties": {
                                                            "type": "string"
                                                        },
                                                        "type": "object",
                                                        "properties": {},
                                                        "nullable": true
                                                    }
                                                },
                                                "type": "object",
                                                "nullable": true
                                            },
                                            "namespaceSelector": {
                                                "properties": {
                                                    "matchExpressions": {
                                                        "items": {
                                                            "properties": {
                                                                "key": {
                                                                    "type": "string"
                                                                },
                                                                "operator": {
                                                                    "type": "string"
                                                                },
                                                                "values": {
                                                                    "items": {
                                                                        "type": "string"
                                                                    },
                                                                    "type": "array",
                                                                    "nullable": true
                                                                }
                                                            },
                                                            "required": [
                                                                "key",
                                                                "operator"
                                                            ],
                                                            "type": "object"
                                                        },
                                                        "type": "array",
                                                        "nullable": true
                                                    },
                                                    "matchLabels": {
                                                        "additionalProperties": {
                                                            "type": "string"
                                                        },
                                                        "type": "object",
                                                        "properties": {},
                                                        "nullable": true
                                                    }
                                                },
                                                "type": "object",
                                                "nullable": true
                                            },
                                            "namespaces": {
                                                "items": {
                                                    "type": "string"
                                                },
                                                "type": "array",
                                                "nullable": true
                                            },
                                            "topologyKey": {
                                                "type": "string"
                                            }
                                        },
                                        "required": [
                                            "topologyKey"
                                        ],
                                        "type": "object"
                                    },
                                    "type": "array",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                },
                "config": {
                    "properties": {
                        "files": {
                            "items": {
                                "properties": {
                                    "configMap": {
                                        "properties": {
                                            "items": {
                                                "items": {
                                                    "properties": {
                                                        "key": {
                                                            "type": "string"
                                                        },
                                                        "mode": {
                                                            "format": "int32",
                                                            "type": "integer",
                                                            "nullable": true
                                                        },
                                                        "path": {
                                                            "type": "string"
                                                        }
                                                    },
                                                    "required": [
                                                        "key",
                                                        "path"
                                                    ],
                                                    "type": "object"
                                                },
                                                "type": "array",
                                                "nullable": true
                                            },
                                            "name": {
                                                "type": "string",
                                                "nullable": true
                                            },
                                            "optional": {
                                                "type": "boolean",
                                                "nullable": true
                                            }
                                        },
                                        "type": "object",
                                        "nullable": true
                                    },
                                    "downwardAPI": {
                                        "properties": {
                                            "items": {
                                                "items": {
                                                    "properties": {
                                                        "fieldRef": {
                                                            "properties": {
                                                                "apiVersion": {
                                                                    "type": "string",
                                                                    "nullable": true
                                                                },
                                                                "fieldPath": {
                                                                    "type": "string"
                                                                }
                                                            },
                                                            "required": [
                                                                "fieldPath"
                                                            ],
                                                            "type": "object",
                                                            "nullable": true
                                                        },
                                                        "mode": {
                                                            "format": "int32",
                                                            "type": "integer",
                                                            "nullable": true
                                                        },
                                                        "path": {
                                                            "type": "string"
                                                        },
                                                        "resourceFieldRef": {
                                                            "properties": {
                                                                "containerName": {
                                                                    "type": "string",
                                                                    "nullable": true
                                                                },
                                                                "divisor": {
                                                                    "oneOf": [
                                                                        {
                                                                            "anyOf": [
                                                                                {
                                                                                    "type": "integer"
                                                                                },
                                                                                {
                                                                                    "type": "string"
                                                                                }
                                                                            ],
                                                                            "pattern": "^(\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))(([KMGTPE]i)|[numkMGTPE]|([eE](\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))))?$"
                                                                        },
                                                                        {
                                                                            "type": "null"
                                                                        }
                                                                    ]
                                                                },
                                                                "resource": {
                                                                    "type": "string"
                                                                }
                                                            },
                                                            "required": [
                                                                "resource"
                                                            ],
                                                            "type": "object",
                                                            "nullable": true
                                                        }
                                                    },
                                                    "required": [
                                                        "path"
                                                    ],
                                                    "type": "object"
                                                },
                                                "type": "array",
                                                "nullable": true
                                            }
                                        },
                                        "type": "object",
                                        "nullable": true
                                    },
                                    "secret": {
                                        "properties": {
                                            "items": {
                                                "items": {
                                                    "properties": {
                                                        "key": {
                                                            "type": "string"
                                                        },
                                                        "mode": {
                                                            "format": "int32",
                                                            "type": "integer",
                                                            "nullable": true
                                                        },
                                                        "path": {
                                                            "type": "string"
                                                        }
                                                    },
                                                    "required": [
                                                        "key",
                                                        "path"
                                                    ],
                                                    "type": "object"
                                                },
                                                "type": "array",
                                                "nullable": true
                                            },
                                            "name": {
                                                "type": "string",
                                                "nullable": true
                                            },
                                            "optional": {
                                                "type": "boolean",
                                                "nullable": true
                                            }
                                        },
                                        "type": "object",
                                        "nullable": true
                                    },
                                    "serviceAccountToken": {
                                        "properties": {
                                            "audience": {
                                                "type": "string",
                                                "nullable": true
                                            },
                                            "expirationSeconds": {
                                                "format": "int64",
                                                "type": "integer",
                                                "nullable": true
                                            },
                                            "path": {
                                                "type": "string"
                                            }
                                        },
                                        "required": [
                                            "path"
                                        ],
                                        "type": "object",
                                        "nullable": true
                                    }
                                },
                                "type": "object"
                            },
                            "type": "array",
                            "nullable": true
                        },
                        "ldapBindPassword": {
                            "properties": {
                                "key": {
                                    "type": "string"
                                },
                                "name": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "optional": {
                                    "type": "boolean",
                                    "nullable": true
                                }
                            },
                            "required": [
                                "key"
                            ],
                            "type": "object",
                            "nullable": true
                        },
                        "settings": {
                            "type": "object",
                            "properties": {},
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                },
                "dataVolumeClaimSpec": {
                    "properties": {
                        "accessModes": {
                            "items": {
                                "type": "string"
                            },
                            "type": "array",
                            "nullable": true
                        },
                        "dataSource": {
                            "properties": {
                                "apiGroup": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "kind": {
                                    "type": "string"
                                },
                                "name": {
                                    "type": "string"
                                }
                            },
                            "required": [
                                "kind",
                                "name"
                            ],
                            "type": "object",
                            "nullable": true
                        },
                        "dataSourceRef": {
                            "properties": {
                                "apiGroup": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "kind": {
                                    "type": "string"
                                },
                                "name": {
                                    "type": "string"
                                }
                            },
                            "required": [
                                "kind",
                                "name"
                            ],
                            "type": "object",
                            "nullable": true
                        },
                        "resources": {
                            "properties": {
                                "limits": {
                                    "additionalProperties": {
                                        "anyOf": [
                                            {
                                                "type": "integer"
                                            },
                                            {
                                                "type": "string"
                                            }
                                        ],
                                        "pattern": "^(\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))(([KMGTPE]i)|[numkMGTPE]|([eE](\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))))?$"
                                    },
                                    "type": "object",
                                    "properties": {},
                                    "nullable": true
                                },
                                "requests": {
                                    "additionalProperties": {
                                        "anyOf": [
                                            {
                                                "type": "integer"
                                            },
                                            {
                                                "type": "string"
                                            }
                                        ],
                                        "pattern": "^(\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))(([KMGTPE]i)|[numkMGTPE]|([eE](\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))))?$"
                                    },
                                    "type": "object",
                                    "properties": {},
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        },
                        "selector": {
                            "properties": {
                                "matchExpressions": {
                                    "items": {
                                        "properties": {
                                            "key": {
                                                "type": "string"
                                            },
                                            "operator": {
                                                "type": "string"
                                            },
                                            "values": {
                                                "items": {
                                                    "type": "string"
                                                },
                                                "type": "array",
                                                "nullable": true
                                            }
                                        },
                                        "required": [
                                            "key",
                                            "operator"
                                        ],
                                        "type": "object"
                                    },
                                    "type": "array",
                                    "nullable": true
                                },
                                "matchLabels": {
                                    "additionalProperties": {
                                        "type": "string"
                                    },
                                    "type": "object",
                                    "properties": {},
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        },
                        "storageClassName": {
                            "type": "string",
                            "nullable": true
                        },
                        "volumeMode": {
                            "type": "string",
                            "nullable": true
                        },
                        "volumeName": {
                            "type": "string",
                            "nullable": true
                        }
                    },
                    "type": "object"
                },
                "image": {
                    "type": "string",
                    "nullable": true
                },
                "imagePullPolicy": {
                    "enum": [
                        "Always",
                        "Never",
                        "IfNotPresent"
                    ],
                    "type": "string",
                    "nullable": true
                },
                "imagePullSecrets": {
                    "items": {
                        "properties": {
                            "name": {
                                "type": "string",
                                "nullable": true
                            }
                        },
                        "type": "object"
                    },
                    "type": "array",
                    "nullable": true
                },
                "metadata": {
                    "properties": {
                        "annotations": {
                            "additionalProperties": {
                                "type": "string"
                            },
                            "type": "object",
                            "properties": {},
                            "nullable": true
                        },
                        "labels": {
                            "additionalProperties": {
                                "type": "string"
                            },
                            "type": "object",
                            "properties": {},
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                },
                "priorityClassName": {
                    "type": "string",
                    "nullable": true
                },
                "resources": {
                    "properties": {
                        "limits": {
                            "additionalProperties": {
                                "anyOf": [
                                    {
                                        "type": "integer"
                                    },
                                    {
                                        "type": "string"
                                    }
                                ],
                                "pattern": "^(\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))(([KMGTPE]i)|[numkMGTPE]|([eE](\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))))?$"
                            },
                            "type": "object",
                            "properties": {},
                            "nullable": true
                        },
                        "requests": {
                            "additionalProperties": {
                                "anyOf": [
                                    {
                                        "type": "integer"
                                    },
                                    {
                                        "type": "string"
                                    }
                                ],
                                "pattern": "^(\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))(([KMGTPE]i)|[numkMGTPE]|([eE](\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))))?$"
                            },
                            "type": "object",
                            "properties": {},
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                },
                "serverGroups": {
                    "items": {
                        "properties": {
                            "name": {
                                "type": "string"
                            },
                            "postgresClusterSelector": {
                                "properties": {
                                    "matchExpressions": {
                                        "items": {
                                            "properties": {
                                                "key": {
                                                    "type": "string"
                                                },
                                                "operator": {
                                                    "type": "string"
                                                },
                                                "values": {
                                                    "items": {
                                                        "type": "string"
                                                    },
                                                    "type": "array",
                                                    "nullable": true
                                                }
                                            },
                                            "required": [
                                                "key",
                                                "operator"
                                            ],
                                            "type": "object"
                                        },
                                        "type": "array",
                                        "nullable": true
                                    },
                                    "matchLabels": {
                                        "additionalProperties": {
                                            "type": "string"
                                        },
                                        "type": "object",
                                        "properties": {},
                                        "nullable": true
                                    }
                                },
                                "type": "object"
                            }
                        },
                        "required": [
                            "name",
                            "postgresClusterSelector"
                        ],
                        "type": "object"
                    },
                    "type": "array",
                    "nullable": true
                },
                "tolerations": {
                    "items": {
                        "properties": {
                            "effect": {
                                "type": "string",
                                "nullable": true
                            },
                            "key": {
                                "type": "string",
                                "nullable": true
                            },
                            "operator": {
                                "type": "string",
                                "nullable": true
                            },
                            "tolerationSeconds": {
                                "format": "int64",
                                "type": "integer",
                                "nullable": true
                            },
                            "value": {
                                "type": "string",
                                "nullable": true
                            }
                        },
                        "type": "object"
                    },
                    "type": "array",
                    "nullable": true
                }
            },
            "required": [
                "dataVolumeClaimSpec"
            ],
            "type": "object",
            "nullable": true
        },
        "status": {
            "properties": {
                "conditions": {
                    "items": {
                        "properties": {
                            "lastTransitionTime": {
                                "format": "date-time",
                                "type": "string"
                            },
                            "message": {
                                "maxLength": 32768,
                                "type": "string"
                            },
                            "observedGeneration": {
                                "format": "int64",
                                "type": "integer",
                                "minimum": 0,
                                "nullable": true
                            },
                            "reason": {
                                "maxLength": 1024,
                                "minLength": 1,
                                "type": "string",
                                "pattern": "^[A-Za-z]([A-Za-z0-9_,:]*[A-Za-z0-9_])?$"
                            },
                            "status": {
                                "enum": [
                                    "True",
                                    "False",
                                    "Unknown"
                                ],
                                "type": "string"
                            },
                            "type": {
                                "maxLength": 316,
                                "type": "string",
                                "pattern": "^([a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*\\/)?(([A-Za-z0-9][-A-Za-z0-9_.]*)?[A-Za-z0-9])$"
                            }
                        },
                        "required": [
                            "lastTransitionTime",
                            "message",
                            "reason",
                            "status",
                            "type"
                        ],
                        "type": "object"
                    },
                    "type": "array",
                    "nullable": true
                },
                "observedGeneration": {
                    "format": "int64",
                    "type": "integer",
                    "minimum": 0,
                    "nullable": true
                }
            },
            "type": "object",
            "nullable": true
        }
    },
    "required": [
        "apiVersion",
        "kind"
    ]
};
/**
 * PGAdmin is the Schema for the pgadmins API
 */
export class PGAdmin extends Model {
    constructor(data) {
        super({
            apiVersion: PGAdmin.apiVersion,
            kind: PGAdmin.kind,
            ...data
        });
    }
}
PGAdmin.apiVersion = "postgres-operator.crunchydata.com/v1beta1";
PGAdmin.kind = "PGAdmin";
PGAdmin.is = createTypeMetaGuard(PGAdmin);
setSchema(PGAdmin, schemaId, () => {
    addSchema();
    register(schemaId, schema);
});
